1 diff -ru mutt-1.5.11.orig/Makefile.in mutt-1.5.11/Makefile.in
2 --- mutt-1.5.11.orig/Makefile.in 2005-09-15 16:22:50.000000000 +0200
3 +++ mutt-1.5.11/Makefile.in 2005-09-25 22:16:49.000000000 +0200
5 -# Makefile.in generated by automake 1.9.5 from Makefile.am.
6 +# Makefile.in generated by automake 1.9.6 from Makefile.am.
9 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
14 -SOURCES = $(makedoc_SOURCES) $(mutt_SOURCES) $(EXTRA_mutt_SOURCES) $(mutt_dotlock_SOURCES) pgpewrap.c $(pgpring_SOURCES)
17 top_srcdir = @top_srcdir@
20 am_mutt_OBJECTS = $(am__objects_1) addrbook.$(OBJEXT) alias.$(OBJEXT) \
21 attach.$(OBJEXT) base64.$(OBJEXT) browser.$(OBJEXT) \
22 buffy.$(OBJEXT) color.$(OBJEXT) crypt.$(OBJEXT) \
23 - cryptglue.$(OBJEXT) commands.$(OBJEXT) complete.$(OBJEXT) \
24 - compose.$(OBJEXT) copy.$(OBJEXT) curs_lib.$(OBJEXT) \
25 - curs_main.$(OBJEXT) date.$(OBJEXT) edit.$(OBJEXT) \
26 - enter.$(OBJEXT) flags.$(OBJEXT) init.$(OBJEXT) \
27 + cryptglue.$(OBJEXT) compress.$(OBJEXT) commands.$(OBJEXT) \
28 + complete.$(OBJEXT) compose.$(OBJEXT) copy.$(OBJEXT) \
29 + curs_lib.$(OBJEXT) curs_main.$(OBJEXT) date.$(OBJEXT) \
30 + edit.$(OBJEXT) enter.$(OBJEXT) flags.$(OBJEXT) init.$(OBJEXT) \
31 filter.$(OBJEXT) from.$(OBJEXT) getdomain.$(OBJEXT) \
32 handler.$(OBJEXT) hash.$(OBJEXT) hdrline.$(OBJEXT) \
33 headers.$(OBJEXT) help.$(OBJEXT) hook.$(OBJEXT) \
36 CCDEPMODE = @CCDEPMODE@
38 -CONFIGURE_DEPENDENCIES = @CONFIGURE_DEPENDENCIES@
39 +CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
41 # $(makedoc_OBJECTS): $(makedoc_SOURCES)
42 # $(HOST_CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) -c $<
44 BUILT_SOURCES = keymap_defs.h patchlist.c
45 mutt_SOURCES = $(BUILT_SOURCES) \
46 addrbook.c alias.c attach.c base64.c browser.c buffy.c color.c \
47 - crypt.c cryptglue.c \
48 + crypt.c cryptglue.c compress.c \
49 commands.c complete.c compose.c copy.c curs_lib.c curs_main.c date.c \
50 edit.c enter.c flags.c init.c filter.c from.c getdomain.c \
51 handler.c hash.c hdrline.c headers.c help.c hook.c keymap.c \
53 crypt-gpgme.c crypt-mod-pgp-gpgme.c crypt-mod-smime-gpgme.c
55 EXTRA_DIST = COPYRIGHT GPL OPS OPS.PGP OPS.CRYPT OPS.SMIME TODO \
56 - configure account.h \
57 + configure account.h compress.h \
58 attach.h buffy.h charset.h copy.h crypthash.h dotlock.h functions.h gen_defs \
59 globals.h hash.h history.h init.h keymap.h mutt_crypt.h \
60 mailbox.h mapping.h md5.h mime.h mutt.h mutt_curses.h mutt_menu.h \
62 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/commands.Po@am__quote@
63 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/complete.Po@am__quote@
64 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compose.Po@am__quote@
65 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compress.Po@am__quote@
66 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/copy.Po@am__quote@
67 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crypt-gpgme.Po@am__quote@
68 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crypt-mod-pgp-classic.Po@am__quote@
69 @@ -1054,15 +1053,15 @@
71 (cd $(top_srcdir) && cvs commit -m "# changelog commit" ChangeLog)
73 -commit: pclean check-security commit-real changelog commit-changelog
74 +commit: pclean check-security commit-real update-changelog commit-changelog
79 cvs update ChangeLog; \
80 sh ./mkchangelog.sh | fmt -c | cat - ChangeLog > ChangeLog.$$$$ && mv ChangeLog.$$$$ ChangeLog; \
81 $${VISUAL:-vi} ChangeLog)
84 +#ChangeLog: changelog
86 # kluge around automake problems.
88 Only in mutt-1.5.11: autom4te.cache
89 diff -ru mutt-1.5.11.orig/config.h.in mutt-1.5.11/config.h.in
90 --- mutt-1.5.11.orig/config.h.in 2005-09-15 16:21:55.000000000 +0200
91 +++ mutt-1.5.11/config.h.in 2005-09-25 22:16:45.000000000 +0200
93 /* Define to 1 if you have the `fgets_unlocked' function. */
94 #undef HAVE_FGETS_UNLOCKED
96 +/* Define to 1 if fseeko (and presumably ftello) exists and is declared. */
99 /* Define to 1 if you have the `ftruncate' function. */
100 #undef HAVE_FTRUNCATE
103 /* Define to 1 if you have the `putenv' function. */
109 /* Define to 1 if you have the `RAND_egd' function. */
113 /* Define to enable Sun mailtool attachments support. */
114 #undef SUN_ATTACHMENT
116 +/* Define to support compressed folders. */
117 +#undef USE_COMPRESSED
119 /* Define to use dotlocking for mailboxes. */
126 +/* Define to 1 to make fseeko visible on some hosts (e.g. glibc 2.2). */
127 +#undef _LARGEFILE_SOURCE
129 /* Define for large files, on AIX-style hosts. */
134 /* Define to 'int' if system headers don't define. */
137 +/* fseeko portability defines */
139 +# define LOFF_T off_t
141 +# define LOFF_T long
142 +# define fseeko fseek
143 +# define ftello ftell
146 Only in mutt-1.5.11: config.h.in~
147 diff -ru mutt-1.5.11.orig/configure mutt-1.5.11/configure
148 --- mutt-1.5.11.orig/configure 2005-09-15 16:21:34.000000000 +0200
149 +++ mutt-1.5.11/configure 2005-09-25 22:16:50.000000000 +0200
154 -ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CONFIGURE_DEPENDENCIES build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP U ANSI2KNR RANLIB ac_ct_RANLIB AR ac_ct_AR DBX GDB SDB DEBUGGER SENDMAIL GPGME_CONFIG LIBGPGME_CFLAGS LIBGPGME_LIBS OPS PGPAUX_TARGET SMIMEAUX_TARGET ISPELL LIBOBJS DOTLOCK_TARGET docdir DOTLOCK_GROUP DOTLOCK_PERMISSION BUILD_IMAP_TRUE BUILD_IMAP_FALSE KRB5CFGPATH USE_GSS_TRUE USE_GSS_FALSE LIBGNUTLS_CONFIG LIBGNUTLS_CFLAGS LIBGNUTLS_LIBS USE_SSL_TRUE USE_SSL_FALSE USE_SASL_TRUE USE_SASL_FALSE MUTTLIBS MUTT_LIB_OBJECTS LIBIMAP LIBIMAPDEPS ALLOCA GLIBC21 LIBICONV USE_NLS MSGFMT GMSGFMT XGETTEXT INTLBISON BUILD_INCLUDED_LIBINTL USE_INCLUDED_LIBINTL CATALOGS CATOBJEXT GMOFILES INTLLIBS INTLOBJS POFILES POSUB DATADIRNAME INSTOBJEXT GENCAT MKINSTALLDIRS INTL_LIBTOOL_SUFFIX_PREFIX OSPCAT DSLROOT LTLIBOBJS'
155 +ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CONFIG_STATUS_DEPENDENCIES build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP U ANSI2KNR RANLIB ac_ct_RANLIB AR ac_ct_AR DBX GDB SDB DEBUGGER SENDMAIL GPGME_CONFIG LIBGPGME_CFLAGS LIBGPGME_LIBS OPS PGPAUX_TARGET SMIMEAUX_TARGET ISPELL LIBOBJS DOTLOCK_TARGET docdir DOTLOCK_GROUP DOTLOCK_PERMISSION BUILD_IMAP_TRUE BUILD_IMAP_FALSE KRB5CFGPATH USE_GSS_TRUE USE_GSS_FALSE LIBGNUTLS_CONFIG LIBGNUTLS_CFLAGS LIBGNUTLS_LIBS USE_SSL_TRUE USE_SSL_FALSE USE_SASL_TRUE USE_SASL_FALSE MUTTLIBS MUTT_LIB_OBJECTS LIBIMAP LIBIMAPDEPS ALLOCA GLIBC21 LIBICONV USE_NLS MSGFMT GMSGFMT XGETTEXT INTLBISON BUILD_INCLUDED_LIBINTL USE_INCLUDED_LIBINTL CATALOGS CATOBJEXT GMOFILES INTLLIBS INTLOBJS POFILES POSUB DATADIRNAME INSTOBJEXT GENCAT MKINSTALLDIRS INTL_LIBTOOL_SUFFIX_PREFIX OSPCAT DSLROOT LTLIBOBJS'
158 # Initialize some variables set by options.
160 --enable-buffy-size Use file size attribute instead of access time
161 --enable-mailtool Enable Sun mailtool attachments support
162 --enable-locales-fix The result of isprint() is unreliable
163 + --enable-compressed Enable compressed folders support
164 --enable-exact-address Enable regeneration of email addresses
165 --enable-hcache Enable header caching
166 --disable-iconv Disable iconv support
168 --with-sasl=PFX Use Cyrus SASL 2 network security library
169 --with-idn=PFX Use GNU libidn for domain names
170 --with-exec-shell=SHELL Specify alternate shell (ONLY if /bin/sh is broken)
171 + --without-qdbm Don't use qdbm even if it is available
172 --without-gdbm Don't use gdbm even if it is available
173 --with-bdb=DIR Use BerkeleyDB4 if gdbm is not available
174 --with-libiconv-prefix=DIR
177 echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
184 @@ -1786,7 +1788,7 @@
188 -CONFIGURE_DEPENDENCIES='$(top_srcdir)/VERSION'
189 +CONFIG_STATUS_DEPENDENCIES='$(top_srcdir)/VERSION'
193 @@ -1796,7 +1798,7 @@
197 -ALL_LINGUAS="de ru it es uk fr pl nl cs id sk ko el zh_TW zh_CN pt_BR eo gl sv da lt tr ja hu et ca bg"
198 +ALL_LINGUAS="de ru it es uk fr pl nl cs id sk ko el zh_TW zh_CN pt_BR eo gl sv da lt tr ja hu et ca bg ga"
200 # Make sure we can run config.sub.
201 $ac_config_sub sun4 >/dev/null 2>&1 ||
202 @@ -2431,8 +2433,7 @@
204 echo "$as_me:$LINENO: \$? = $ac_status" >&5
205 (exit $ac_status); } &&
206 - { ac_try='test -z "$ac_c_werror_flag"
207 - || test ! -s conftest.err'
208 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
209 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
212 @@ -2490,8 +2491,7 @@
214 echo "$as_me:$LINENO: \$? = $ac_status" >&5
215 (exit $ac_status); } &&
216 - { ac_try='test -z "$ac_c_werror_flag"
217 - || test ! -s conftest.err'
218 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
219 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
222 @@ -2607,8 +2607,7 @@
224 echo "$as_me:$LINENO: \$? = $ac_status" >&5
225 (exit $ac_status); } &&
226 - { ac_try='test -z "$ac_c_werror_flag"
227 - || test ! -s conftest.err'
228 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
229 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
232 @@ -2662,8 +2661,7 @@
234 echo "$as_me:$LINENO: \$? = $ac_status" >&5
235 (exit $ac_status); } &&
236 - { ac_try='test -z "$ac_c_werror_flag"
237 - || test ! -s conftest.err'
238 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
239 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
242 @@ -2708,8 +2706,7 @@
244 echo "$as_me:$LINENO: \$? = $ac_status" >&5
245 (exit $ac_status); } &&
246 - { ac_try='test -z "$ac_c_werror_flag"
247 - || test ! -s conftest.err'
248 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
249 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
252 @@ -2753,8 +2750,7 @@
254 echo "$as_me:$LINENO: \$? = $ac_status" >&5
255 (exit $ac_status); } &&
256 - { ac_try='test -z "$ac_c_werror_flag"
257 - || test ! -s conftest.err'
258 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
259 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
262 @@ -3006,8 +3002,7 @@
264 echo "$as_me:$LINENO: \$? = $ac_status" >&5
265 (exit $ac_status); } &&
266 - { ac_try='test -z "$ac_c_werror_flag"
267 - || test ! -s conftest.err'
268 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
272 @@ -3061,8 +3056,7 @@
274 echo "$as_me:$LINENO: \$? = $ac_status" >&5
275 (exit $ac_status); } &&
276 - { ac_try='test -z "$ac_c_werror_flag"
277 - || test ! -s conftest.err'
278 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
279 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
282 @@ -3397,8 +3391,7 @@
284 echo "$as_me:$LINENO: \$? = $ac_status" >&5
285 (exit $ac_status); } &&
286 - { ac_try='test -z "$ac_c_werror_flag"
287 - || test ! -s conftest.err'
288 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
289 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
292 @@ -3568,8 +3561,7 @@
294 echo "$as_me:$LINENO: \$? = $ac_status" >&5
295 (exit $ac_status); } &&
296 - { ac_try='test -z "$ac_c_werror_flag"
297 - || test ! -s conftest.err'
298 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
299 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
302 @@ -3644,8 +3636,7 @@
304 echo "$as_me:$LINENO: \$? = $ac_status" >&5
305 (exit $ac_status); } &&
306 - { ac_try='test -z "$ac_c_werror_flag"
307 - || test ! -s conftest.err'
308 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
309 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
312 @@ -4298,8 +4289,7 @@
314 echo "$as_me:$LINENO: \$? = $ac_status" >&5
315 (exit $ac_status); } &&
316 - { ac_try='test -z "$ac_c_werror_flag"
317 - || test ! -s conftest.err'
318 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
319 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
322 @@ -4415,8 +4405,7 @@
324 echo "$as_me:$LINENO: \$? = $ac_status" >&5
325 (exit $ac_status); } &&
326 - { ac_try='test -z "$ac_c_werror_flag"
327 - || test ! -s conftest.err'
328 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
329 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
332 @@ -4498,8 +4487,7 @@
334 echo "$as_me:$LINENO: \$? = $ac_status" >&5
335 (exit $ac_status); } &&
336 - { ac_try='test -z "$ac_c_werror_flag"
337 - || test ! -s conftest.err'
338 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
339 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
342 @@ -4528,8 +4516,7 @@
344 echo "$as_me:$LINENO: \$? = $ac_status" >&5
345 (exit $ac_status); } &&
346 - { ac_try='test -z "$ac_c_werror_flag"
347 - || test ! -s conftest.err'
348 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
349 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
352 @@ -4599,8 +4586,7 @@
354 echo "$as_me:$LINENO: \$? = $ac_status" >&5
355 (exit $ac_status); } &&
356 - { ac_try='test -z "$ac_c_werror_flag"
357 - || test ! -s conftest.err'
358 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
359 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
362 @@ -4652,8 +4638,7 @@
364 echo "$as_me:$LINENO: \$? = $ac_status" >&5
365 (exit $ac_status); } &&
366 - { ac_try='test -z "$ac_c_werror_flag"
367 - || test ! -s conftest.err'
368 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
369 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
372 @@ -4724,8 +4709,7 @@
374 echo "$as_me:$LINENO: \$? = $ac_status" >&5
375 (exit $ac_status); } &&
376 - { ac_try='test -z "$ac_c_werror_flag"
377 - || test ! -s conftest.err'
378 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
379 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
382 @@ -4777,8 +4761,7 @@
384 echo "$as_me:$LINENO: \$? = $ac_status" >&5
385 (exit $ac_status); } &&
386 - { ac_try='test -z "$ac_c_werror_flag"
387 - || test ! -s conftest.err'
388 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
389 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
392 @@ -4812,6 +4795,178 @@
396 +echo "$as_me:$LINENO: checking for _LARGEFILE_SOURCE value needed for large files" >&5
397 +echo $ECHO_N "checking for _LARGEFILE_SOURCE value needed for large files... $ECHO_C" >&6
398 +if test "${ac_cv_sys_largefile_source+set}" = set; then
399 + echo $ECHO_N "(cached) $ECHO_C" >&6
402 + ac_cv_sys_largefile_source=no
403 + cat >conftest.$ac_ext <<_ACEOF
406 +cat confdefs.h >>conftest.$ac_ext
407 +cat >>conftest.$ac_ext <<_ACEOF
408 +/* end confdefs.h. */
418 +rm -f conftest.$ac_objext
419 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
420 + (eval $ac_compile) 2>conftest.er1
422 + grep -v '^ *+' conftest.er1 >conftest.err
424 + cat conftest.err >&5
425 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
426 + (exit $ac_status); } &&
427 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
428 + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
429 + (eval $ac_try) 2>&5
431 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
432 + (exit $ac_status); }; } &&
433 + { ac_try='test -s conftest.$ac_objext'
434 + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
435 + (eval $ac_try) 2>&5
437 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
438 + (exit $ac_status); }; }; then
441 + echo "$as_me: failed program was:" >&5
442 +sed 's/^/| /' conftest.$ac_ext >&5
445 +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
446 + cat >conftest.$ac_ext <<_ACEOF
449 +cat confdefs.h >>conftest.$ac_ext
450 +cat >>conftest.$ac_ext <<_ACEOF
451 +/* end confdefs.h. */
452 +#define _LARGEFILE_SOURCE 1
462 +rm -f conftest.$ac_objext
463 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
464 + (eval $ac_compile) 2>conftest.er1
466 + grep -v '^ *+' conftest.er1 >conftest.err
468 + cat conftest.err >&5
469 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
470 + (exit $ac_status); } &&
471 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
472 + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
473 + (eval $ac_try) 2>&5
475 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
476 + (exit $ac_status); }; } &&
477 + { ac_try='test -s conftest.$ac_objext'
478 + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
479 + (eval $ac_try) 2>&5
481 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
482 + (exit $ac_status); }; }; then
483 + ac_cv_sys_largefile_source=1; break
485 + echo "$as_me: failed program was:" >&5
486 +sed 's/^/| /' conftest.$ac_ext >&5
489 +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
493 +echo "$as_me:$LINENO: result: $ac_cv_sys_largefile_source" >&5
494 +echo "${ECHO_T}$ac_cv_sys_largefile_source" >&6
495 +if test "$ac_cv_sys_largefile_source" != no; then
497 +cat >>confdefs.h <<_ACEOF
498 +#define _LARGEFILE_SOURCE $ac_cv_sys_largefile_source
504 +# We used to try defining _XOPEN_SOURCE=500 too, to work around a bug
505 +# in glibc 2.1.3, but that breaks too many other things.
506 +# If you want fseeko and ftello with glibc, upgrade to a fixed glibc.
507 +echo "$as_me:$LINENO: checking for fseeko" >&5
508 +echo $ECHO_N "checking for fseeko... $ECHO_C" >&6
509 +if test "${ac_cv_func_fseeko+set}" = set; then
510 + echo $ECHO_N "(cached) $ECHO_C" >&6
512 + cat >conftest.$ac_ext <<_ACEOF
515 +cat confdefs.h >>conftest.$ac_ext
516 +cat >>conftest.$ac_ext <<_ACEOF
517 +/* end confdefs.h. */
522 +return fseeko && fseeko (stdin, 0, 0);
527 +rm -f conftest.$ac_objext conftest$ac_exeext
528 +if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
529 + (eval $ac_link) 2>conftest.er1
531 + grep -v '^ *+' conftest.er1 >conftest.err
533 + cat conftest.err >&5
534 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
535 + (exit $ac_status); } &&
536 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
537 + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
538 + (eval $ac_try) 2>&5
540 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
541 + (exit $ac_status); }; } &&
542 + { ac_try='test -s conftest$ac_exeext'
543 + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
544 + (eval $ac_try) 2>&5
546 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
547 + (exit $ac_status); }; }; then
548 + ac_cv_func_fseeko=yes
550 + echo "$as_me: failed program was:" >&5
551 +sed 's/^/| /' conftest.$ac_ext >&5
553 +ac_cv_func_fseeko=no
555 +rm -f conftest.err conftest.$ac_objext \
556 + conftest$ac_exeext conftest.$ac_ext
558 +echo "$as_me:$LINENO: result: $ac_cv_func_fseeko" >&5
559 +echo "${ECHO_T}$ac_cv_func_fseeko" >&6
560 +if test $ac_cv_func_fseeko = yes; then
562 +cat >>confdefs.h <<\_ACEOF
563 +#define HAVE_FSEEKO 1
569 # Extract the first word of "dbx", so it can be a program name with args.
570 set dummy dbx; ac_word=$2
571 @@ -4968,6 +5123,8 @@
577 for ac_header in inttypes.h
579 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
580 @@ -5001,8 +5158,7 @@
582 echo "$as_me:$LINENO: \$? = $ac_status" >&5
583 (exit $ac_status); } &&
584 - { ac_try='test -z "$ac_c_werror_flag"
585 - || test ! -s conftest.err'
586 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
587 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
590 @@ -5149,8 +5305,7 @@
592 echo "$as_me:$LINENO: \$? = $ac_status" >&5
593 (exit $ac_status); } &&
594 - { ac_try='test -z "$ac_c_werror_flag"
595 - || test ! -s conftest.err'
596 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
597 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
600 @@ -5212,8 +5367,7 @@
602 echo "$as_me:$LINENO: \$? = $ac_status" >&5
603 (exit $ac_status); } &&
604 - { ac_try='test -z "$ac_c_werror_flag"
605 - || test ! -s conftest.err'
606 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
607 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
610 @@ -5275,8 +5429,7 @@
612 echo "$as_me:$LINENO: \$? = $ac_status" >&5
613 (exit $ac_status); } &&
614 - { ac_try='test -z "$ac_c_werror_flag"
615 - || test ! -s conftest.err'
616 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
617 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
620 @@ -5316,8 +5469,7 @@
622 echo "$as_me:$LINENO: \$? = $ac_status" >&5
623 (exit $ac_status); } &&
624 - { ac_try='test -z "$ac_c_werror_flag"
625 - || test ! -s conftest.err'
626 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
627 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
630 @@ -5373,8 +5525,7 @@
632 echo "$as_me:$LINENO: \$? = $ac_status" >&5
633 (exit $ac_status); } &&
634 - { ac_try='test -z "$ac_c_werror_flag"
635 - || test ! -s conftest.err'
636 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
637 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
640 @@ -5414,8 +5565,7 @@
642 echo "$as_me:$LINENO: \$? = $ac_status" >&5
643 (exit $ac_status); } &&
644 - { ac_try='test -z "$ac_c_werror_flag"
645 - || test ! -s conftest.err'
646 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
647 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
650 @@ -5479,8 +5629,7 @@
652 echo "$as_me:$LINENO: \$? = $ac_status" >&5
653 (exit $ac_status); } &&
654 - { ac_try='test -z "$ac_c_werror_flag"
655 - || test ! -s conftest.err'
656 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
657 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
660 @@ -5511,10 +5660,8 @@
663 if test "$cross_compiling" = yes; then
664 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
665 -See \`config.log' for more details." >&5
666 -echo "$as_me: error: cannot run test program while cross compiling
667 -See \`config.log' for more details." >&2;}
668 + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
669 +echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
670 { (exit 1); exit 1; }; }
672 cat >conftest.$ac_ext <<_ACEOF
673 @@ -5626,8 +5773,7 @@
675 echo "$as_me:$LINENO: \$? = $ac_status" >&5
676 (exit $ac_status); } &&
677 - { ac_try='test -z "$ac_c_werror_flag"
678 - || test ! -s conftest.err'
679 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
680 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
683 @@ -5689,8 +5835,7 @@
685 echo "$as_me:$LINENO: \$? = $ac_status" >&5
686 (exit $ac_status); } &&
687 - { ac_try='test -z "$ac_c_werror_flag"
688 - || test ! -s conftest.err'
689 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
690 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
693 @@ -5730,8 +5875,7 @@
695 echo "$as_me:$LINENO: \$? = $ac_status" >&5
696 (exit $ac_status); } &&
697 - { ac_try='test -z "$ac_c_werror_flag"
698 - || test ! -s conftest.err'
699 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
700 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
703 @@ -5787,8 +5931,7 @@
705 echo "$as_me:$LINENO: \$? = $ac_status" >&5
706 (exit $ac_status); } &&
707 - { ac_try='test -z "$ac_c_werror_flag"
708 - || test ! -s conftest.err'
709 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
710 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
713 @@ -5828,8 +5971,7 @@
715 echo "$as_me:$LINENO: \$? = $ac_status" >&5
716 (exit $ac_status); } &&
717 - { ac_try='test -z "$ac_c_werror_flag"
718 - || test ! -s conftest.err'
719 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
720 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
723 @@ -5893,8 +6035,7 @@
725 echo "$as_me:$LINENO: \$? = $ac_status" >&5
726 (exit $ac_status); } &&
727 - { ac_try='test -z "$ac_c_werror_flag"
728 - || test ! -s conftest.err'
729 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
730 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
733 @@ -5925,10 +6066,8 @@
736 if test "$cross_compiling" = yes; then
737 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
738 -See \`config.log' for more details." >&5
739 -echo "$as_me: error: cannot run test program while cross compiling
740 -See \`config.log' for more details." >&2;}
741 + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
742 +echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
743 { (exit 1); exit 1; }; }
745 cat >conftest.$ac_ext <<_ACEOF
746 @@ -6040,8 +6179,7 @@
748 echo "$as_me:$LINENO: \$? = $ac_status" >&5
749 (exit $ac_status); } &&
750 - { ac_try='test -z "$ac_c_werror_flag"
751 - || test ! -s conftest.err'
752 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
753 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
756 @@ -6103,8 +6241,7 @@
758 echo "$as_me:$LINENO: \$? = $ac_status" >&5
759 (exit $ac_status); } &&
760 - { ac_try='test -z "$ac_c_werror_flag"
761 - || test ! -s conftest.err'
762 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
763 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
766 @@ -6144,8 +6281,7 @@
768 echo "$as_me:$LINENO: \$? = $ac_status" >&5
769 (exit $ac_status); } &&
770 - { ac_try='test -z "$ac_c_werror_flag"
771 - || test ! -s conftest.err'
772 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
773 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
776 @@ -6201,8 +6337,7 @@
778 echo "$as_me:$LINENO: \$? = $ac_status" >&5
779 (exit $ac_status); } &&
780 - { ac_try='test -z "$ac_c_werror_flag"
781 - || test ! -s conftest.err'
782 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
783 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
786 @@ -6242,8 +6377,7 @@
788 echo "$as_me:$LINENO: \$? = $ac_status" >&5
789 (exit $ac_status); } &&
790 - { ac_try='test -z "$ac_c_werror_flag"
791 - || test ! -s conftest.err'
792 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
793 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
796 @@ -6307,8 +6441,7 @@
798 echo "$as_me:$LINENO: \$? = $ac_status" >&5
799 (exit $ac_status); } &&
800 - { ac_try='test -z "$ac_c_werror_flag"
801 - || test ! -s conftest.err'
802 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
803 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
806 @@ -6339,10 +6472,8 @@
809 if test "$cross_compiling" = yes; then
810 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
811 -See \`config.log' for more details." >&5
812 -echo "$as_me: error: cannot run test program while cross compiling
813 -See \`config.log' for more details." >&2;}
814 + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
815 +echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
816 { (exit 1); exit 1; }; }
818 cat >conftest.$ac_ext <<_ACEOF
819 @@ -6454,8 +6585,7 @@
821 echo "$as_me:$LINENO: \$? = $ac_status" >&5
822 (exit $ac_status); } &&
823 - { ac_try='test -z "$ac_c_werror_flag"
824 - || test ! -s conftest.err'
825 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
826 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
829 @@ -6517,8 +6647,7 @@
831 echo "$as_me:$LINENO: \$? = $ac_status" >&5
832 (exit $ac_status); } &&
833 - { ac_try='test -z "$ac_c_werror_flag"
834 - || test ! -s conftest.err'
835 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
836 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
839 @@ -6558,8 +6687,7 @@
841 echo "$as_me:$LINENO: \$? = $ac_status" >&5
842 (exit $ac_status); } &&
843 - { ac_try='test -z "$ac_c_werror_flag"
844 - || test ! -s conftest.err'
845 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
846 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
849 @@ -6615,8 +6743,7 @@
851 echo "$as_me:$LINENO: \$? = $ac_status" >&5
852 (exit $ac_status); } &&
853 - { ac_try='test -z "$ac_c_werror_flag"
854 - || test ! -s conftest.err'
855 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
856 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
859 @@ -6656,8 +6783,7 @@
861 echo "$as_me:$LINENO: \$? = $ac_status" >&5
862 (exit $ac_status); } &&
863 - { ac_try='test -z "$ac_c_werror_flag"
864 - || test ! -s conftest.err'
865 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
866 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
869 @@ -6721,8 +6847,7 @@
871 echo "$as_me:$LINENO: \$? = $ac_status" >&5
872 (exit $ac_status); } &&
873 - { ac_try='test -z "$ac_c_werror_flag"
874 - || test ! -s conftest.err'
875 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
876 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
879 @@ -6753,10 +6878,8 @@
882 if test "$cross_compiling" = yes; then
883 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
884 -See \`config.log' for more details." >&5
885 -echo "$as_me: error: cannot run test program while cross compiling
886 -See \`config.log' for more details." >&2;}
887 + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
888 +echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
889 { (exit 1); exit 1; }; }
891 cat >conftest.$ac_ext <<_ACEOF
892 @@ -7205,8 +7328,7 @@
894 echo "$as_me:$LINENO: \$? = $ac_status" >&5
895 (exit $ac_status); } &&
896 - { ac_try='test -z "$ac_c_werror_flag"
897 - || test ! -s conftest.err'
898 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
899 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
902 @@ -7292,8 +7414,7 @@
904 echo "$as_me:$LINENO: \$? = $ac_status" >&5
905 (exit $ac_status); } &&
906 - { ac_try='test -z "$ac_c_werror_flag"
907 - || test ! -s conftest.err'
908 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
909 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
912 @@ -7408,8 +7529,7 @@
914 echo "$as_me:$LINENO: \$? = $ac_status" >&5
915 (exit $ac_status); } &&
916 - { ac_try='test -z "$ac_c_werror_flag"
917 - || test ! -s conftest.err'
918 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
919 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
922 @@ -7479,8 +7599,7 @@
924 echo "$as_me:$LINENO: \$? = $ac_status" >&5
925 (exit $ac_status); } &&
926 - { ac_try='test -z "$ac_c_werror_flag"
927 - || test ! -s conftest.err'
928 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
929 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
932 @@ -7549,8 +7668,7 @@
934 echo "$as_me:$LINENO: \$? = $ac_status" >&5
935 (exit $ac_status); } &&
936 - { ac_try='test -z "$ac_c_werror_flag"
937 - || test ! -s conftest.err'
938 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
939 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
942 @@ -7616,8 +7734,7 @@
944 echo "$as_me:$LINENO: \$? = $ac_status" >&5
945 (exit $ac_status); } &&
946 - { ac_try='test -z "$ac_c_werror_flag"
947 - || test ! -s conftest.err'
948 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
949 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
952 @@ -7767,8 +7884,7 @@
954 echo "$as_me:$LINENO: \$? = $ac_status" >&5
955 (exit $ac_status); } &&
956 - { ac_try='test -z "$ac_c_werror_flag"
957 - || test ! -s conftest.err'
958 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
959 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
962 @@ -7951,8 +8067,7 @@
964 echo "$as_me:$LINENO: \$? = $ac_status" >&5
965 (exit $ac_status); } &&
966 - { ac_try='test -z "$ac_c_werror_flag"
967 - || test ! -s conftest.err'
968 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
969 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
972 @@ -8020,8 +8135,7 @@
974 echo "$as_me:$LINENO: \$? = $ac_status" >&5
975 (exit $ac_status); } &&
976 - { ac_try='test -z "$ac_c_werror_flag"
977 - || test ! -s conftest.err'
978 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
979 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
982 @@ -8090,8 +8204,7 @@
984 echo "$as_me:$LINENO: \$? = $ac_status" >&5
985 (exit $ac_status); } &&
986 - { ac_try='test -z "$ac_c_werror_flag"
987 - || test ! -s conftest.err'
988 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
989 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
992 @@ -8162,8 +8275,7 @@
994 echo "$as_me:$LINENO: \$? = $ac_status" >&5
995 (exit $ac_status); } &&
996 - { ac_try='test -z "$ac_c_werror_flag"
997 - || test ! -s conftest.err'
998 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
999 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1002 @@ -8285,8 +8397,7 @@
1003 cat conftest.err >&5
1004 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1005 (exit $ac_status); } &&
1006 - { ac_try='test -z "$ac_c_werror_flag"
1007 - || test ! -s conftest.err'
1008 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1009 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1012 @@ -8355,8 +8466,7 @@
1013 cat conftest.err >&5
1014 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1015 (exit $ac_status); } &&
1016 - { ac_try='test -z "$ac_c_werror_flag"
1017 - || test ! -s conftest.err'
1018 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1019 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1022 @@ -8433,8 +8543,7 @@
1023 cat conftest.err >&5
1024 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1025 (exit $ac_status); } &&
1026 - { ac_try='test -z "$ac_c_werror_flag"
1027 - || test ! -s conftest.err'
1028 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1029 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1032 @@ -8496,8 +8605,7 @@
1033 cat conftest.err >&5
1034 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1035 (exit $ac_status); } &&
1036 - { ac_try='test -z "$ac_c_werror_flag"
1037 - || test ! -s conftest.err'
1038 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1039 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1042 @@ -8550,8 +8658,7 @@
1043 cat conftest.err >&5
1044 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1045 (exit $ac_status); } &&
1046 - { ac_try='test -z "$ac_c_werror_flag"
1047 - || test ! -s conftest.err'
1048 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1049 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1052 @@ -8594,8 +8701,7 @@
1053 cat conftest.err >&5
1054 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1055 (exit $ac_status); } &&
1056 - { ac_try='test -z "$ac_c_werror_flag"
1057 - || test ! -s conftest.err'
1058 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1059 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1062 @@ -8670,8 +8776,7 @@
1063 cat conftest.err >&5
1064 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1065 (exit $ac_status); } &&
1066 - { ac_try='test -z "$ac_c_werror_flag"
1067 - || test ! -s conftest.err'
1068 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1069 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1072 @@ -8710,8 +8815,7 @@
1073 cat conftest.err >&5
1074 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1075 (exit $ac_status); } &&
1076 - { ac_try='test -z "$ac_c_werror_flag"
1077 - || test ! -s conftest.err'
1078 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1079 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1082 @@ -8807,8 +8911,7 @@
1083 cat conftest.err >&5
1084 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1085 (exit $ac_status); } &&
1086 - { ac_try='test -z "$ac_c_werror_flag"
1087 - || test ! -s conftest.err'
1088 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1089 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1092 @@ -8978,8 +9081,7 @@
1093 cat conftest.err >&5
1094 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1095 (exit $ac_status); } &&
1096 - { ac_try='test -z "$ac_c_werror_flag"
1097 - || test ! -s conftest.err'
1098 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1099 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1102 @@ -9129,8 +9231,7 @@
1103 cat conftest.err >&5
1104 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1105 (exit $ac_status); } &&
1106 - { ac_try='test -z "$ac_c_werror_flag"
1107 - || test ! -s conftest.err'
1108 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1109 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1112 @@ -9279,8 +9380,7 @@
1113 cat conftest.err >&5
1114 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1115 (exit $ac_status); } &&
1116 - { ac_try='test -z "$ac_c_werror_flag"
1117 - || test ! -s conftest.err'
1118 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1119 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1122 @@ -9466,8 +9566,7 @@
1123 cat conftest.err >&5
1124 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1125 (exit $ac_status); } &&
1126 - { ac_try='test -z "$ac_c_werror_flag"
1127 - || test ! -s conftest.err'
1128 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1129 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1132 @@ -9539,8 +9638,7 @@
1133 cat conftest.err >&5
1134 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1135 (exit $ac_status); } &&
1136 - { ac_try='test -z "$ac_c_werror_flag"
1137 - || test ! -s conftest.err'
1138 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1139 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1142 @@ -9647,8 +9745,7 @@
1143 cat conftest.err >&5
1144 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1145 (exit $ac_status); } &&
1146 - { ac_try='test -z "$ac_c_werror_flag"
1147 - || test ! -s conftest.err'
1148 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1149 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1152 @@ -9737,8 +9834,7 @@
1153 cat conftest.err >&5
1154 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1155 (exit $ac_status); } &&
1156 - { ac_try='test -z "$ac_c_werror_flag"
1157 - || test ! -s conftest.err'
1158 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1159 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1162 @@ -9811,8 +9907,7 @@
1163 cat conftest.err >&5
1164 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1165 (exit $ac_status); } &&
1166 - { ac_try='test -z "$ac_c_werror_flag"
1167 - || test ! -s conftest.err'
1168 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1169 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1172 @@ -9877,8 +9972,7 @@
1173 cat conftest.err >&5
1174 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1175 (exit $ac_status); } &&
1176 - { ac_try='test -z "$ac_c_werror_flag"
1177 - || test ! -s conftest.err'
1178 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1179 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1182 @@ -9985,8 +10079,7 @@
1183 cat conftest.err >&5
1184 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1185 (exit $ac_status); } &&
1186 - { ac_try='test -z "$ac_c_werror_flag"
1187 - || test ! -s conftest.err'
1188 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1189 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1192 @@ -10089,8 +10182,7 @@
1193 cat conftest.err >&5
1194 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1195 (exit $ac_status); } &&
1196 - { ac_try='test -z "$ac_c_werror_flag"
1197 - || test ! -s conftest.err'
1198 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1199 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1202 @@ -10198,8 +10290,7 @@
1203 cat conftest.err >&5
1204 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1205 (exit $ac_status); } &&
1206 - { ac_try='test -z "$ac_c_werror_flag"
1207 - || test ! -s conftest.err'
1208 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1209 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1212 @@ -10259,8 +10350,7 @@
1213 cat conftest.err >&5
1214 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1215 (exit $ac_status); } &&
1216 - { ac_try='test -z "$ac_c_werror_flag"
1217 - || test ! -s conftest.err'
1218 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1219 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1222 @@ -10448,8 +10538,7 @@
1223 cat conftest.err >&5
1224 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1225 (exit $ac_status); } &&
1226 - { ac_try='test -z "$ac_c_werror_flag"
1227 - || test ! -s conftest.err'
1228 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1229 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1232 @@ -10552,8 +10641,7 @@
1233 cat conftest.err >&5
1234 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1235 (exit $ac_status); } &&
1236 - { ac_try='test -z "$ac_c_werror_flag"
1237 - || test ! -s conftest.err'
1238 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1239 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1242 @@ -10667,8 +10755,7 @@
1243 cat conftest.err >&5
1244 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1245 (exit $ac_status); } &&
1246 - { ac_try='test -z "$ac_c_werror_flag"
1247 - || test ! -s conftest.err'
1248 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1249 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1252 @@ -10737,8 +10824,7 @@
1253 cat conftest.err >&5
1254 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1255 (exit $ac_status); } &&
1256 - { ac_try='test -z "$ac_c_werror_flag"
1257 - || test ! -s conftest.err'
1258 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1259 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1262 @@ -10845,8 +10931,7 @@
1263 cat conftest.err >&5
1264 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1265 (exit $ac_status); } &&
1266 - { ac_try='test -z "$ac_c_werror_flag"
1267 - || test ! -s conftest.err'
1268 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1272 @@ -10915,8 +11000,7 @@
1273 cat conftest.err >&5
1274 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1275 (exit $ac_status); } &&
1276 - { ac_try='test -z "$ac_c_werror_flag"
1277 - || test ! -s conftest.err'
1278 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1279 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1282 @@ -11023,8 +11107,7 @@
1283 cat conftest.err >&5
1284 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1285 (exit $ac_status); } &&
1286 - { ac_try='test -z "$ac_c_werror_flag"
1287 - || test ! -s conftest.err'
1288 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1289 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1292 @@ -11134,8 +11217,7 @@
1293 cat conftest.err >&5
1294 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1295 (exit $ac_status); } &&
1296 - { ac_try='test -z "$ac_c_werror_flag"
1297 - || test ! -s conftest.err'
1298 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1299 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1302 @@ -11636,8 +11718,7 @@
1303 cat conftest.err >&5
1304 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1305 (exit $ac_status); } &&
1306 - { ac_try='test -z "$ac_c_werror_flag"
1307 - || test ! -s conftest.err'
1308 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1309 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1312 @@ -11703,8 +11784,7 @@
1313 cat conftest.err >&5
1314 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1315 (exit $ac_status); } &&
1316 - { ac_try='test -z "$ac_c_werror_flag"
1317 - || test ! -s conftest.err'
1318 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1319 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1322 @@ -11805,8 +11885,7 @@
1323 cat conftest.err >&5
1324 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1325 (exit $ac_status); } &&
1326 - { ac_try='test -z "$ac_c_werror_flag"
1327 - || test ! -s conftest.err'
1328 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1329 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1332 @@ -11872,8 +11951,7 @@
1333 cat conftest.err >&5
1334 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1335 (exit $ac_status); } &&
1336 - { ac_try='test -z "$ac_c_werror_flag"
1337 - || test ! -s conftest.err'
1338 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1339 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1342 @@ -11978,8 +12056,7 @@
1343 cat conftest.err >&5
1344 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1345 (exit $ac_status); } &&
1346 - { ac_try='test -z "$ac_c_werror_flag"
1347 - || test ! -s conftest.err'
1348 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1349 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1352 @@ -12140,8 +12217,7 @@
1353 cat conftest.err >&5
1354 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1355 (exit $ac_status); } &&
1356 - { ac_try='test -z "$ac_c_werror_flag"
1357 - || test ! -s conftest.err'
1358 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1359 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1362 @@ -12214,8 +12290,7 @@
1363 cat conftest.err >&5
1364 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1365 (exit $ac_status); } &&
1366 - { ac_try='test -z "$ac_c_werror_flag"
1367 - || test ! -s conftest.err'
1368 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1369 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1372 @@ -12290,8 +12365,7 @@
1373 cat conftest.err >&5
1374 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1375 (exit $ac_status); } &&
1376 - { ac_try='test -z "$ac_c_werror_flag"
1377 - || test ! -s conftest.err'
1378 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1379 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1382 @@ -12484,8 +12558,7 @@
1383 cat conftest.err >&5
1384 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1385 (exit $ac_status); } &&
1386 - { ac_try='test -z "$ac_c_werror_flag"
1387 - || test ! -s conftest.err'
1388 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1389 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1392 @@ -12562,8 +12635,7 @@
1393 cat conftest.err >&5
1394 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1395 (exit $ac_status); } &&
1396 - { ac_try='test -z "$ac_c_werror_flag"
1397 - || test ! -s conftest.err'
1398 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1399 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1402 @@ -12672,8 +12744,7 @@
1403 cat conftest.err >&5
1404 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1405 (exit $ac_status); } &&
1406 - { ac_try='test -z "$ac_c_werror_flag"
1407 - || test ! -s conftest.err'
1408 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1409 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1412 @@ -12930,8 +13001,7 @@
1413 cat conftest.err >&5
1414 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1415 (exit $ac_status); } &&
1416 - { ac_try='test -z "$ac_c_werror_flag"
1417 - || test ! -s conftest.err'
1418 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1419 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1422 @@ -13104,8 +13174,7 @@
1423 cat conftest.err >&5
1424 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1425 (exit $ac_status); } &&
1426 - { ac_try='test -z "$ac_c_werror_flag"
1427 - || test ! -s conftest.err'
1428 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1429 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1432 @@ -13226,8 +13295,7 @@
1433 cat conftest.err >&5
1434 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1435 (exit $ac_status); } &&
1436 - { ac_try='test -z "$ac_c_werror_flag"
1437 - || test ! -s conftest.err'
1438 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1439 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1442 @@ -13344,8 +13412,7 @@
1443 cat conftest.err >&5
1444 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1445 (exit $ac_status); } &&
1446 - { ac_try='test -z "$ac_c_werror_flag"
1447 - || test ! -s conftest.err'
1448 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1449 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1452 @@ -13449,8 +13516,7 @@
1453 cat conftest.err >&5
1454 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1455 (exit $ac_status); } &&
1456 - { ac_try='test -z "$ac_c_werror_flag"
1457 - || test ! -s conftest.err'
1458 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1459 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1462 @@ -13552,8 +13618,7 @@
1463 cat conftest.err >&5
1464 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1465 (exit $ac_status); } &&
1466 - { ac_try='test -z "$ac_c_werror_flag"
1467 - || test ! -s conftest.err'
1468 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1469 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1472 @@ -13655,8 +13720,7 @@
1473 cat conftest.err >&5
1474 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1475 (exit $ac_status); } &&
1476 - { ac_try='test -z "$ac_c_werror_flag"
1477 - || test ! -s conftest.err'
1478 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1479 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1482 @@ -13807,6 +13871,18 @@
1486 +# Check whether --enable-compressed or --disable-compressed was given.
1487 +if test "${enable_compressed+set}" = set; then
1488 + enableval="$enable_compressed"
1489 + if test x$enableval = xyes; then
1491 +cat >>confdefs.h <<\_ACEOF
1492 +#define USE_COMPRESSED 1
1499 # Check whether --with-exec-shell or --without-exec-shell was given.
1500 if test "${with_exec_shell+set}" = set; then
1501 @@ -13858,6 +13934,74 @@
1506 + ac_prefer_qdbm=yes
1508 +# Check whether --with-qdbm or --without-qdbm was given.
1509 +if test "${with_qdbm+set}" = set; then
1510 + withval="$with_qdbm"
1511 + ac_prefer_qdbm=$withval
1513 + if test x$ac_prefer_qdbm != xno; then
1514 + CPPFLAGS="$OLDCPPFLAGS"
1515 + LIBS="$OLDLIBS -lqdbm";
1516 + echo "$as_me:$LINENO: checking for vlopen" >&5
1517 +echo $ECHO_N "checking for vlopen... $ECHO_C" >&6
1518 +if test "${ac_cv_vlopen+set}" = set; then
1519 + echo $ECHO_N "(cached) $ECHO_C" >&6
1523 + cat >conftest.$ac_ext <<_ACEOF
1526 +cat confdefs.h >>conftest.$ac_ext
1527 +cat >>conftest.$ac_ext <<_ACEOF
1528 +/* end confdefs.h. */
1538 +rm -f conftest.$ac_objext conftest$ac_exeext
1539 +if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
1540 + (eval $ac_link) 2>conftest.er1
1542 + grep -v '^ *+' conftest.er1 >conftest.err
1543 + rm -f conftest.er1
1544 + cat conftest.err >&5
1545 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1546 + (exit $ac_status); } &&
1547 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1548 + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1549 + (eval $ac_try) 2>&5
1551 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1552 + (exit $ac_status); }; } &&
1553 + { ac_try='test -s conftest$ac_exeext'
1554 + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1555 + (eval $ac_try) 2>&5
1557 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1558 + (exit $ac_status); }; }; then
1561 + echo "$as_me: failed program was:" >&5
1562 +sed 's/^/| /' conftest.$ac_ext >&5
1565 +rm -f conftest.err conftest.$ac_objext \
1566 + conftest$ac_exeext conftest.$ac_ext
1569 +echo "$as_me:$LINENO: result: $ac_cv_vlopen" >&5
1570 +echo "${ECHO_T}$ac_cv_vlopen" >&6
1575 # Check whether --with-gdbm or --without-gdbm was given.
1576 @@ -13865,7 +14009,7 @@
1577 withval="$with_gdbm"
1578 ac_prefer_gdbm=$withval
1580 - if test x$ac_prefer_gdbm != xno; then
1581 + if test x$ac_prefer_gdbm != xno -a x$ac_cv_vlopen != xyes; then
1582 CPPFLAGS="$OLDCPPFLAGS"
1583 LIBS="$OLDLIBS -lgdbm";
1584 echo "$as_me:$LINENO: checking for gdbm_open" >&5
1585 @@ -13899,8 +14043,7 @@
1586 cat conftest.err >&5
1587 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1588 (exit $ac_status); } &&
1589 - { ac_try='test -z "$ac_c_werror_flag"
1590 - || test ! -s conftest.err'
1591 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1592 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1595 @@ -13933,7 +14076,7 @@
1597 ac_bdb_prefix=$withval
1599 - if test x$ac_bdb_prefix != xno -a x$ac_cv_gdbmopen != xyes; then
1600 + if test x$ac_bdb_prefix != xno -a x$ac_cv_gdbmopen != xyes -a x$ac_cv_vlopen != xyes; then
1601 test x$ac_bdb_prefix = xyes && ac_bdb_prefix="$mutt_cv_prefix /opt/csw/bdb4 /opt /usr/local /usr"
1602 for d in $ac_bdb_prefix; do
1604 @@ -13985,8 +14128,7 @@
1605 cat conftest.err >&5
1606 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1607 (exit $ac_status); } &&
1608 - { ac_try='test -z "$ac_c_werror_flag"
1609 - || test ! -s conftest.err'
1610 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1611 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1614 @@ -14026,7 +14168,15 @@
1618 - if test x$ac_cv_gdbmopen = xyes; then
1619 + if test x$ac_cv_vlopen = xyes; then
1620 + CPPFLAGS="$OLDCPPFLAGS"
1621 + LIBS="$OLDLIBS -lqdbm";
1623 +cat >>confdefs.h <<\_ACEOF
1624 +#define HAVE_QDBM 1
1627 + elif test x$ac_cv_gdbmopen = xyes; then
1628 CPPFLAGS="$OLDCPPFLAGS"
1629 LIBS="$OLDLIBS -lgdbm";
1631 @@ -14043,8 +14193,8 @@
1635 - { { echo "$as_me:$LINENO: error: You need Sleepycat DB4 or GDBM for --enable-hcache" >&5
1636 -echo "$as_me: error: You need Sleepycat DB4 or GDBM for --enable-hcache" >&2;}
1637 + { { echo "$as_me:$LINENO: error: You need QDBM, GDBM or Sleepycat DB4 for hcache" >&5
1638 +echo "$as_me: error: You need QDBM, GDBM or Sleepycat DB4 for hcache" >&2;}
1639 { (exit 1); exit 1; }; }
1642 @@ -14102,8 +14252,7 @@
1643 cat conftest.err >&5
1644 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1645 (exit $ac_status); } &&
1646 - { ac_try='test -z "$ac_c_werror_flag"
1647 - || test ! -s conftest.err'
1648 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1649 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1652 @@ -14168,8 +14317,7 @@
1653 cat conftest.err >&5
1654 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1655 (exit $ac_status); } &&
1656 - { ac_try='test -z "$ac_c_werror_flag"
1657 - || test ! -s conftest.err'
1658 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1659 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1662 @@ -14233,8 +14381,7 @@
1663 cat conftest.err >&5
1664 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1665 (exit $ac_status); } &&
1666 - { ac_try='test -z "$ac_c_werror_flag"
1667 - || test ! -s conftest.err'
1668 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1669 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1672 @@ -14315,8 +14462,7 @@
1673 cat conftest.err >&5
1674 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1675 (exit $ac_status); } &&
1676 - { ac_try='test -z "$ac_c_werror_flag"
1677 - || test ! -s conftest.err'
1678 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1679 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1682 @@ -14457,8 +14603,7 @@
1683 cat conftest.err >&5
1684 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1685 (exit $ac_status); } &&
1686 - { ac_try='test -z "$ac_c_werror_flag"
1687 - || test ! -s conftest.err'
1688 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1689 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1692 @@ -14596,8 +14741,7 @@
1693 cat conftest.err >&5
1694 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1695 (exit $ac_status); } &&
1696 - { ac_try='test -z "$ac_c_werror_flag"
1697 - || test ! -s conftest.err'
1698 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1699 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1702 @@ -14781,8 +14925,7 @@
1703 cat conftest.err >&5
1704 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1705 (exit $ac_status); } &&
1706 - { ac_try='test -z "$ac_c_werror_flag"
1707 - || test ! -s conftest.err'
1708 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1709 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1712 @@ -15072,8 +15215,7 @@
1713 cat conftest.err >&5
1714 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1715 (exit $ac_status); } &&
1716 - { ac_try='test -z "$ac_c_werror_flag"
1717 - || test ! -s conftest.err'
1718 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1719 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1722 @@ -15279,8 +15421,7 @@
1723 cat conftest.err >&5
1724 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1725 (exit $ac_status); } &&
1726 - { ac_try='test -z "$ac_c_werror_flag"
1727 - || test ! -s conftest.err'
1728 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1729 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1732 @@ -15362,8 +15503,7 @@
1733 cat conftest.err >&5
1734 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1735 (exit $ac_status); } &&
1736 - { ac_try='test -z "$ac_c_werror_flag"
1737 - || test ! -s conftest.err'
1738 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1739 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1742 @@ -15413,8 +15553,7 @@
1743 cat conftest.err >&5
1744 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1745 (exit $ac_status); } &&
1746 - { ac_try='test -z "$ac_c_werror_flag"
1747 - || test ! -s conftest.err'
1748 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1749 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1752 @@ -15489,8 +15628,7 @@
1753 cat conftest.err >&5
1754 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1755 (exit $ac_status); } &&
1756 - { ac_try='test -z "$ac_c_werror_flag"
1757 - || test ! -s conftest.err'
1758 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1759 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1762 @@ -15560,8 +15698,7 @@
1763 cat conftest.err >&5
1764 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1765 (exit $ac_status); } &&
1766 - { ac_try='test -z "$ac_c_werror_flag"
1767 - || test ! -s conftest.err'
1768 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1769 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1772 @@ -15624,8 +15761,7 @@
1773 cat conftest.err >&5
1774 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1775 (exit $ac_status); } &&
1776 - { ac_try='test -z "$ac_c_werror_flag"
1777 - || test ! -s conftest.err'
1778 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1779 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1782 @@ -15730,8 +15866,7 @@
1783 cat conftest.err >&5
1784 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1785 (exit $ac_status); } &&
1786 - { ac_try='test -z "$ac_c_werror_flag"
1787 - || test ! -s conftest.err'
1788 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1789 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1792 @@ -15869,8 +16004,7 @@
1793 cat conftest.err >&5
1794 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1795 (exit $ac_status); } &&
1796 - { ac_try='test -z "$ac_c_werror_flag"
1797 - || test ! -s conftest.err'
1798 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1799 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1802 @@ -15929,8 +16063,7 @@
1803 cat conftest.err >&5
1804 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1805 (exit $ac_status); } &&
1806 - { ac_try='test -z "$ac_c_werror_flag"
1807 - || test ! -s conftest.err'
1808 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1809 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1812 @@ -16041,8 +16174,7 @@
1813 cat conftest.err >&5
1814 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1815 (exit $ac_status); } &&
1816 - { ac_try='test -z "$ac_c_werror_flag"
1817 - || test ! -s conftest.err'
1818 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1819 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1822 @@ -16527,8 +16659,7 @@
1823 cat conftest.err >&5
1824 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1825 (exit $ac_status); } &&
1826 - { ac_try='test -z "$ac_c_werror_flag"
1827 - || test ! -s conftest.err'
1828 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1829 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1832 @@ -16882,8 +17013,7 @@
1833 cat conftest.err >&5
1834 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1835 (exit $ac_status); } &&
1836 - { ac_try='test -z "$ac_c_werror_flag"
1837 - || test ! -s conftest.err'
1838 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1839 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1842 @@ -16954,8 +17084,7 @@
1843 cat conftest.err >&5
1844 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1845 (exit $ac_status); } &&
1846 - { ac_try='test -z "$ac_c_werror_flag"
1847 - || test ! -s conftest.err'
1848 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1849 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1852 @@ -17106,8 +17235,7 @@
1853 cat conftest.err >&5
1854 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1855 (exit $ac_status); } &&
1856 - { ac_try='test -z "$ac_c_werror_flag"
1857 - || test ! -s conftest.err'
1858 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1859 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1862 @@ -17174,8 +17302,7 @@
1863 cat conftest.err >&5
1864 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1865 (exit $ac_status); } &&
1866 - { ac_try='test -z "$ac_c_werror_flag"
1867 - || test ! -s conftest.err'
1868 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1869 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1872 @@ -17241,8 +17368,7 @@
1873 cat conftest.err >&5
1874 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1875 (exit $ac_status); } &&
1876 - { ac_try='test -z "$ac_c_werror_flag"
1877 - || test ! -s conftest.err'
1878 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1879 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1882 @@ -17429,8 +17555,7 @@
1883 cat conftest.err >&5
1884 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1885 (exit $ac_status); } &&
1886 - { ac_try='test -z "$ac_c_werror_flag"
1887 - || test ! -s conftest.err'
1888 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1889 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1892 @@ -17536,8 +17661,7 @@
1893 cat conftest.err >&5
1894 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1895 (exit $ac_status); } &&
1896 - { ac_try='test -z "$ac_c_werror_flag"
1897 - || test ! -s conftest.err'
1898 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1899 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1902 @@ -17640,8 +17764,7 @@
1903 cat conftest.err >&5
1904 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1905 (exit $ac_status); } &&
1906 - { ac_try='test -z "$ac_c_werror_flag"
1907 - || test ! -s conftest.err'
1908 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1909 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1912 @@ -17709,8 +17832,7 @@
1913 cat conftest.err >&5
1914 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1915 (exit $ac_status); } &&
1916 - { ac_try='test -z "$ac_c_werror_flag"
1917 - || test ! -s conftest.err'
1918 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1919 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1922 @@ -17791,8 +17913,7 @@
1923 cat conftest.err >&5
1924 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1925 (exit $ac_status); } &&
1926 - { ac_try='test -z "$ac_c_werror_flag"
1927 - || test ! -s conftest.err'
1928 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1929 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1932 @@ -17855,8 +17976,7 @@
1933 cat conftest.err >&5
1934 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1935 (exit $ac_status); } &&
1936 - { ac_try='test -z "$ac_c_werror_flag"
1937 - || test ! -s conftest.err'
1938 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1939 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1942 @@ -17917,8 +18037,7 @@
1943 cat conftest.err >&5
1944 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1945 (exit $ac_status); } &&
1946 - { ac_try='test -z "$ac_c_werror_flag"
1947 - || test ! -s conftest.err'
1948 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1949 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1952 @@ -18713,7 +18832,7 @@
1953 s,@AMTAR@,$AMTAR,;t t
1954 s,@am__tar@,$am__tar,;t t
1955 s,@am__untar@,$am__untar,;t t
1956 -s,@CONFIGURE_DEPENDENCIES@,$CONFIGURE_DEPENDENCIES,;t t
1957 +s,@CONFIG_STATUS_DEPENDENCIES@,$CONFIG_STATUS_DEPENDENCIES,;t t
1958 s,@build@,$build,;t t
1959 s,@build_cpu@,$build_cpu,;t t
1960 s,@build_vendor@,$build_vendor,;t t
1961 @@ -18970,11 +19089,6 @@
1962 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
1965 - if test x"$ac_file" != x-; then
1966 - { echo "$as_me:$LINENO: creating $ac_file" >&5
1967 -echo "$as_me: creating $ac_file" >&6;}
1970 # Let's still pretend it is `configure' which instantiates (i.e., don't
1971 # use $as_me), people would be surprised to read:
1972 # /* config.h. Generated by config.status. */
1973 @@ -19013,6 +19127,12 @@
1976 done` || { (exit 1); exit 1; }
1978 + if test x"$ac_file" != x-; then
1979 + { echo "$as_me:$LINENO: creating $ac_file" >&5
1980 +echo "$as_me: creating $ac_file" >&6;}
1984 cat >>$CONFIG_STATUS <<_ACEOF
1986 diff -ru mutt-1.5.11.orig/imap/Makefile.in mutt-1.5.11/imap/Makefile.in
1987 --- mutt-1.5.11.orig/imap/Makefile.in 2005-09-15 16:22:49.000000000 +0200
1988 +++ mutt-1.5.11/imap/Makefile.in 2005-09-25 22:16:49.000000000 +0200
1990 -# Makefile.in generated by automake 1.9.5 from Makefile.am.
1991 +# Makefile.in generated by automake 1.9.6 from Makefile.am.
1994 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
1999 -SOURCES = $(libimap_a_SOURCES)
2002 top_srcdir = @top_srcdir@
2006 CCDEPMODE = @CCDEPMODE@
2008 -CONFIGURE_DEPENDENCIES = @CONFIGURE_DEPENDENCIES@
2009 +CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
2011 CPPFLAGS = @CPPFLAGS@
2012 CYGPATH_W = @CYGPATH_W@
2013 diff -ru mutt-1.5.11.orig/m4/Makefile.in mutt-1.5.11/m4/Makefile.in
2014 --- mutt-1.5.11.orig/m4/Makefile.in 2005-09-15 16:22:50.000000000 +0200
2015 +++ mutt-1.5.11/m4/Makefile.in 2005-09-25 22:16:49.000000000 +0200
2017 -# Makefile.in generated by automake 1.9.5 from Makefile.am.
2018 +# Makefile.in generated by automake 1.9.6 from Makefile.am.
2021 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
2024 CCDEPMODE = @CCDEPMODE@
2026 -CONFIGURE_DEPENDENCIES = @CONFIGURE_DEPENDENCIES@
2027 +CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
2029 CPPFLAGS = @CPPFLAGS@
2030 CYGPATH_W = @CYGPATH_W@
2035 - echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign m4/Makefile'; \
2036 + echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu m4/Makefile'; \
2037 cd $(top_srcdir) && \
2038 - $(AUTOMAKE) --foreign m4/Makefile
2039 + $(AUTOMAKE) --gnu m4/Makefile
2041 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status